### Function

# Qmi MessageForeachRawTlvFn

since: 1.0

#### Declaration

    void
    (* QmiMessageForeachRawTlvFn) (
      guint8 type,
      const guint8* value,
      gsize length,
      gpointer user_data
    )

#### Description [src]

Callback type to use when iterating raw TLVs with qmi_message_foreach_raw_tlv().

Available since: 1.0

#### Parameters

`type`

  Type: `guint8`

  Specific ID of the TLV.

`value`

  Type: `const guint8*`

  Value of the TLV.

  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  Length of the TLV, in bytes.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.